OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.WIN.PhongShading

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetWINPhongShading :: MonadIO m => m Bool
- gl_WIN_phong_shading :: Bool
- pattern GL_PHONG_HINT_WIN :: GLenum
- pattern GL_PHONG_WIN :: GLenum

# Extension Support

glGetWINPhongShading :: MonadIO m => m Bool Source #

Is the WIN_phong_shading extension supported?

gl_WIN_phong_shading :: Bool Source #

Is the WIN_phong_shading extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetWINPhongShading` in those cases instead.

# Enums

pattern GL_PHONG_HINT_WIN :: GLenum Source #

pattern GL_PHONG_WIN :: GLenum Source #